Bug 743580 - gnote 0.8 package scripts don't uses GSettings Schema.
Summary: gnote 0.8 package scripts don't uses GSettings Schema.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnote
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-05 12:36 UTC by sangu
Modified: 2011-12-04 02:38 UTC (History)
5 users (show)

Fixed In Version: gnote-0.8.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-04 02:38:54 UTC
Type: ---


Attachments (Terms of Use)

Description sangu 2011-10-05 12:36:04 UTC
Description of problem:
$ rpm -ql gnote | grep schemas
/usr/share/glib-2.0/schemas/org.gnome.gnote.gschema.xml

http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GSettings_Schema

Then, in rpm scripts

$ rpm -q --scripts gnote
preinstall scriptlet (using /bin/sh):
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      /etc/gconf/schemas/gnote.schemas > /dev/null || :
fi
postinstall scriptlet (using /bin/sh):
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    /etc/gconf/schemas/gnote.schemas > /dev/null
[...]

Version-Release number of selected component (if applicable):
0.8.0-1.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Gianluca Sforna 2011-10-07 21:49:15 UTC
And it also gives a warning for this at installation:


Running Transaction
  Installing : gnote-0.8.0-1.fc16.x86_64                                    1/1 
I/O warning : failed to load external entity "/etc/gconf/schemas/gnote.schemas"
Failed to open `/etc/gconf/schemas/gnote.schemas': No such file or directory

Installed:
  gnote.x86_64 0:0.8.0-1.fc16

Comment 2 Fedora Update System 2011-10-23 23:22:34 UTC
gnote-0.8.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnote-0.8.0-2.fc16

Comment 3 Fedora Update System 2011-10-24 04:00:48 UTC
Package gnote-0.8.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnote-0.8.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14783
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-25 02:32:05 UTC
gnote-0.8.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnote-0.8.1-1.fc16

Comment 5 Fedora Update System 2011-12-04 02:38:54 UTC
gnote-0.8.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.